%define name		ingatan
%define version		1.5.2
%define release		%mkrel 2
%define fame		Ingatan

Summary:	Create and take/give quizzes in Java
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GNU GPL v3
Group:		Education
URL:		http://code.google.com/p/ingatan/
Source0:	%{name}-%{version}.tar.xz
Requires:	java
BuildRoot:	%{_tmppath}/%{name}--root

%description
Ingatan is a program for easily creating and doing quizzes. It was
designed to cater for the largest possible range of applications;
including learning languages, labelling anatomical diagrams,
practising organic chemistry mechanisms, and much more.

%prep
%setup -q

%build

%install

mkdir -p $RPM_BUILD_ROOT%_bindir
mkdir -p $RPM_BUILD_ROOT%_datadir/applications
mkdir -p $RPM_BUILD_ROOT%_datadir/pixmaps

cp %{name}-%{version}.jar $RPM_BUILD_ROOT%_bindir
cp %{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/
cp %{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/

%clean
if [ -d %{buildroot} ]; then rm -rf %{buildroot}; fi

%files
%defattr(-,root,root)
%_bindir/%{name}-%{version}.jar
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Tue Apr 07 2015 bb <bb> 1.5.2-2pclos2015
- update for java
